dpkg-name(1)

NAZWA
dpkg-name - zmienia nazwy pakietów Debiana na pełne

SKŁADNIA
dpkg-name [opcja...] [--] plik...

OPIS

Ta strona podręcznika dokumentuje program dpkg-name, który dostarcza prostego sposobu na zmianę nazw pakietów Debiana na pełne nazwy pakietów. Pełna nazwa pakietu jest w postaci pakiet_wersja_architektua.typ-pakietu, jak to określono w pliku kontrolnym pakietu. Część wersja nazwy pliku zawiera oryginalną wersję nadaną przez autora, po której opcjonalnie następuje myślnik oraz informacje o wersji zmian pakietu w Debianie.Część typ-pakietu pochodzi z odpowiedniego pola, jeśli jest obecne, lub jest równa deb.

OPCJE

-a, --no-architecture
    Wynikowy plik nie będzie miał informacji o architekturze.

-k, --symlink
    Tworzy dowiązanie symboliczne, zamiast przenosić plik.

-o, --overwrite
    Istniejące pliki będą nadpisane, jeżeli ich nazwy są takie same jak nazwy plików wynikowych.

-s, --subdir [katalog]
    Pliki będą przeniesione do podkatalogu. Jeśli istnieje katalog podany jako argument tej opcji, to pliki zostaną przeniesione do tego katalogu, w przeciwnym wypadku nazwa katalogu docelowego jest wyodrębniana z pola Section w części kontrolnej pakietu. Katalogiem docelowym będzie wtedy "unstable/binary-architektura/sekcja". Jeśli sekcja nie zostanie znaleziona w pliku kontrolnym, to jest przyjmowane "no-section" i w tym przypadku, jak i w przypadku sekcji "non-free" oraz "contrib", katalogiem docelowym będzie sekcja/binary-architektura". Pole kontrolne Section nie jest wymagane, tak więc w ten sposób wiele pakietów będzie umieszczonych w katalogu "no-section". Proszę ostrożnie używać tej opcji, jest niechlujna.

-c, --create-dir
    This option can used together with the -s option. If a target directory isn't found it will be created automatically. Use this option with care.

-?, --help
    Wyświetla informację o użytkowaniu i kończy działanie.

-v, --version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

BŁĘDY
Some packages don't follow the name structure package_version_architecture.deb. Packages renamed by dpkg-name will follow this structure. Generally this will have no impact on how packages are installed by dselect(1)/dpkg(1), but other installation tools might depend on this naming structure.

PRZYKŁADY

dpkg-name bar-foo.deb
    Nazwa pliku "bar-foo.deb" zostanie zmieniona na bar-foo_1.0-2_i386.deb lub coś podobnego (w zależności od informacji zawartych w pliku kontrolnym pakietu "bar-foo.deb").

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    All files with the extension `deb' in the directory /root/debian and its subdirectory's will be renamed by dpkg-name if required into names with no architecture information.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Nie rób tego. Twoje archiwum zostanie kompletnie zepsute, ponieważ wiele pakietów nie będzie miało informacji o sekcji. Nie rób tego.

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Może zostać użyte do budowania nowych pakietów.

ZOBACZ TAKŻE
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008
Michał Kułach <michal.kulach@gmail.com>, 2012